----------------------------------------------
-- Converting XML Data to Relational Format --
----------------------------------------------

DECLARE @MYDATA XML
SET @MYDATA = '<Vendors>
  <Vendor VendorID="1" AccountNumber="INTERNAT0001" Name="International">
    <Product ProductID="462" Name="Lower Head Race" />
  </Vendor>
  <Vendor VendorID="2" AccountNumber="ELECTRON0002" Name="Electronic Bike Repair Supplies">
    <Product ProductID="511" Name="ML Road Rim" />
    <Product ProductID="510" Name="LL Road Rim" />
    <Product ProductID="512" Name="HL Road Rim" />
  </Vendor>
  <Vendor VendorID="3" AccountNumber="PREMIER0001" Name="Premier Sport, Inc.">
    <Product ProductID="513" Name="Touring Rim" />
  </Vendor>
  <Vendor VendorID="4" AccountNumber="COMFORT0001" Name="Comfort Road Bicycles">
    <Product ProductID="507" Name="LL Mountain Rim" />
    <Product ProductID="508" Name="ML Mountain Rim" />
  </Vendor>
  <Vendor VendorID="5" AccountNumber="METROSP0001" Name="Metro Sport Equipment">
    <Product ProductID="528" Name="Seat Lug" />
  </Vendor>
  <Vendor VendorID="6" AccountNumber="GREENLA0001" Name="Green Lake Bike Company">
    <Product />
  </Vendor>
</Vendors>'

SELECT XMLColumn.value('@VendorID','int') 'VendorID',
       XMLColumn.value('@AccountNumber','nvarchar(100)') 'Account_Number',
       XMLColumn.value('@Name','nvarchar(100)') 'Account_Name',
       XMLColumn.value('(Product/@ProductID)[1]','int') 'FirstProduct'
FROM @MYDATA.nodes('Vendors/Vendor') ResultTable(XMLColumn)
