SELECT SalesOrderID, CustomerID, TotalDue
FROM Sales.SalesOrderHeader
WHERE (TotalDue > 170000)


CREATE FUNCTION GetSales(@Amount money)
RETURNS TABLE
AS
   RETURN
   SELECT     SalesOrderID, CustomerID, TotalDue
   FROM         Sales.SalesOrderHeader
   WHERE     (TotalDue > @Amount)


SELECT * FROM dbo.GetSales(170000)


SELECT GetSales.SalesOrderID, GetSales.CustomerID, 
       GetSales.TotalDue, Sales.Store.Name
FROM dbo.GetSales(170000) AS GetSales INNER JOIN
Sales.Store ON GetSales.CustomerID = Sales.Store.CustomerID
