INSERT INTO [AdventureWorks].[Sales].[SalesOrderHeader]
           ([RevisionNumber]
           ,[OrderDate]
           ,[DueDate]
           ,[ShipDate]
           ,[Status]
           ,[OnlineOrderFlag]
           ,[PurchaseOrderNumber]
           ,[AccountNumber]
           ,[CustomerID]
           ,[ContactID]
           ,[SalesPersonID]
           ,[TerritoryID]
           ,[BillToAddressID]
           ,[ShipToAddressID]
           ,[ShipMethodID]
           ,[CreditCardID]
           ,[CreditCardApprovalCode]
           ,[CurrencyRateID]
           ,[SubTotal]
           ,[TaxAmt]
           ,[Freight]
           ,[Comment]
           ,[rowguid]
           ,[ModifiedDate])
     VALUES
           (0 --RevisionNumber
           ,GETDATE() -- Actual date
           ,DATEADD(day,5,GETDATE()) -- five days from now
           ,null -- ShipDate is not yet known
           ,1
           ,1
           ,null -- order number
           ,null -- AccountNumber
           ,1 -- CustomerID
           ,1 -- ContactID
           ,1 -- SalesPersonID
           ,1 -- TerritoryID
           ,1 -- BillToAddressID
           ,1 -- ShipToAddressID
           ,1 -- ShipMethodID
           ,1 -- CreditCardID
           ,'ok' -- CreditCardApprovalCode
           ,1 -- CurrencyRateID
           ,100 -- SubTotal
           ,5 -- TaxAmt
           ,0 -- Freight
           ,null -- Comment
           ,NEWID() -- rowguid
           ,DEFAULT -- ModifiedDate
         )
