
Public Class Form1
    Friend WithEvents App As New Application
    Private Sub ConnectToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ConnectToolStripMenuItem.Click
        Try
            App.Connect()
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

    Private Sub App_ChangeComnnectionStatus(ByVal connected As Boolean) Handles App.ChangeComnnectionStatus
        ConnectToolStripMenuItem.Visible = Not connected
        DisconnectToolStripMenuItem.Visible = connected
        tssConnected.Visible = connected
        tssDisconnected.Visible = Not connected
        TestTableActionsToolStripMenuItem.Enabled = connected
        SalesReasonActionsToolStripMenuItem.Enabled = True
    End Sub
    Private Sub ChnageConnectionStringToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ChangeConnectionToolStripMenuItem.Click
        Dim servername As String = ""

        servername = InputBox("Enter your server name", "Change connection", "(local)")
        App.ConnectionString = String.Format("Data Source={0};Initial Catalog=AdventureWorks;Integrated Security=True", servername)

    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

    End Sub

    Private Sub GetRowsToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GetRowsToolStripMenuItem.Click
        LoadData()
    End Sub
    Private Sub LoadData()
        Dim T As New AdventureWorksDataSet.TestTableDataTable
        Dim TA As New AdventureWorksDataSetTableAdapters.TestTableTableAdapter
        TA.Fill(T)
        DataGridView1.DataSource = T
    End Sub

   
    
    

    Private Sub LoadDataToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LoadDataToolStripMenuItem.Click
        LoadSales()
    End Sub
    Private Sub LoadSales()
        Dim T As New AdventureWorksDataSet.SalesReasonDataTable
        Dim TA As New AdventureWorksDataSetTableAdapters.SalesReasonTableAdapter
        TA.Fill(T)
        DataGridView1.DataSource = T
    End Sub

   
End Class
