IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'SubCategory_Insert')
	BEGIN
		DROP  Procedure  SubCategory_Insert
	END

GO


CREATE Procedure SubCategory_Insert
	@ProductCategoryID int,
    @Name nvarchar(50),
	@rowguid uniqueidentifier,
	@ModifiedDate datetime
AS
INSERT INTO [AdventureWorks].[Production].[ProductSubcategory]
           ([ProductCategoryID]
           ,[Name]
           ,[rowguid]
           ,[ModifiedDate])
     VALUES
           (@ProductCategoryID
           ,@Name
           ,NEWID()
           ,GETDATE())
GO
