IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'SubCategories_GetOne')
	BEGIN
		DROP  Procedure  SubCategories_GetOne
	END
GO

CREATE Procedure SubCategories_GetOne
	@ProductSubcategoryID int
AS
SELECT	ProductSubcategoryID, 
		ProductCategoryID,
		Name, 
		rowguid, 
		ModifiedDate
FROM	Production.ProductSubcategory
WHERE	
	(ProductSubcategoryID = @ProductSubcategoryID)
GO


