USE AdventureWorks
GO
SELECT
	Production.ProductCategory.Name AS [Category Name], 
	Production.ProductSubcategory.Name AS [SubCategory Name], 
	Production.Product.Name, 
    Production.Product.ListPrice, 
	Production.Product.Size
FROM
	Production.Product 
	INNER JOIN
		Production.ProductSubcategory 
	ON 
	Production.Product.ProductSubcategoryID = Production.ProductSubcategory.ProductSubcategoryID 
		INNER JOIN
			Production.ProductCategory 
		ON Production.ProductSubcategory.ProductCategoryID = Production.ProductCategory.ProductCategoryID
WHERE 
	(Production.Product.ListPrice > 10)
GO
