#include <stdio.h>
#include <sql.h>
#include <sqlext.h>

main()
{
  ExtractError
  SQLHENV env;
  SQLHDBC dbc;
  SQLHSTMT stmt;
  SQLRETURN ret; 
  SQLCHAR outstr[1024];
  SQLSMALLINT outstrlen;

  /* Environment Handle */
  SQLAllocHandle(SQL_HANDLE_ENV, SQL_NULL_HANDLE, &env);
  /* ODBC 3 support */
  SQLSetEnvAttr(env, SQL_ATTR_ODBC_VERSION, (void *) SQL_OV_ODBC3, 0);
  /* Connection Handle */
  SQLAllocHandle(SQL_HANDLE_DBC, env, &dbc);
  /* Open Connection to AdventureWorks */
  ret = SQLDriverConnect(dbc, (void *)1, "DSN=AdventureWorks;", SQL_NTS,
			 outstr, sizeof(outstr), &outstrlen,
			 SQL_DRIVER_COMPLETE);
  if (SQL_SUCCEEDED(ret))
    {
    printf("Connected\n");
    SQLDisconnect(dbc);
    }
  else
    {
    fprintf(stderr, "Failed to connect\n");
    }
  /* Free handles */
  SQLFreeHandle(SQL_HANDLE_DBC, dbc);
  SQLFreeHandle(SQL_HANDLE_ENV, env);
}
