--In the following sample code, you can create a view called ProductSales in the Sales schema, that provides you the units sold for each product

USE AdventureWorks
GO
CREATE VIEW Sales.ProductSales
AS
SELECT     Production.Product.Name AS Product, SUM(Sales.SalesOrderDetail.OrderQty) AS ProductSales
FROM         Production.Product INNER JOIN
                      Sales.SalesOrderDetail ON Production.Product.ProductID = Sales.SalesOrderDetail.ProductID INNER JOIN
                      Sales.SalesOrderHeader ON Sales.SalesOrderDetail.SalesOrderID = Sales.SalesOrderHeader.SalesOrderID
GROUP BY Production.Product.Name