Function InsertCitySP(ByVal City As String, ByVal State As String) As Integer
    Dim RetVal = 0
    ' Create and open the connection
    Dim Cnx As New SqlConnection( _
        "Data Source=.;Initial Catalog=AdventureWorks;Integrated Security=True")
    Cnx.Open()
    Try
        ' Call the stored procedure
        Dim InsertCity As New SqlCommand("InsertCity", Cnx)
        InsertCity.CommandType = Data.CommandType.StoredProcedure
        InsertCity.Parameters.Add(New System.Data.SqlClient.SqlParameter( _
            "@RETURN_VALUE", System.Data.SqlDbType.Int, 4, _
            System.Data.ParameterDirection.ReturnValue, 10, 0, Nothing, _
            System.Data.DataRowVersion.Current, False, Nothing, "", "", ""))
        InsertCity.Parameters.Add("@STATE", Data.SqlDbType.Char).Value = State
        InsertCity.Parameters.Add("@CITY", Data.SqlDbType.Char).Value = City
        InsertCity.ExecuteScalar()
        RetVal = CInt(InsertCity.Parameters("@RETURN_VALUE").Value)
    Finally
        ' Close the connection
        Cnx.Close()
    End Try
    ' Return the primary key value
    Return RetVal
End Function
