CREATE FUNCTION CalcFact ( @N int ) 
   RETURNS float
AS
BEGIN
   DECLARE @R float
   SET @R = 1
   DECLARE @I int
   SET @I = 1
   WHILE @I <= @N
   BEGIN
      SET @R = @R * @I
      SET @I = @I + 1
   END
   RETURN @R
END


-- Call Factorial of @Val a total of @N times and clock the execution
CREATE PROCEDURE TimeCalc (@Val int, @N int)
AS
BEGIN
   DECLARE @T0 datetime
   DECLARE @T1 datetime
   SET @T0 = GETDATE()
   DECLARE @I int
   SET @I = 1
   WHILE @I <= @N
   BEGIN
      DECLARE @F float
      SET @F = dbo.CalcFact( @Val )
      SET @I = @I + 1
   END
   SET @T1 = GETDATE()
   PRINT DATEDIFF(millisecond, @T0, @T1)
END


TimeCalc 150, 100000