USE [AdventureWorks]
GO
CREATE VIEW [Production].[vProductFullCategories]
AS
SELECT 
	Production.ProductSubcategory.ProductSubcategoryID, 
	Production.ProductCategory.Name AS CategoryName, 
    Production.ProductSubcategory.Name
FROM 
	Production.ProductSubcategory 
INNER JOIN
	Production.ProductCategory 
		ON Production.ProductSubcategory.ProductCategoryID 
		= Production.ProductCategory.ProductCategoryID

GO
