Public Class Application
    Private internalConnection As SqlClient.SqlConnection
    Public Event ChangeComnnectionStatus(ByVal connected As Boolean)

    Sub New()
        AddHandler System.Windows.Forms.Application.ThreadException, AddressOf GenericError
        AddHandler System.Windows.Forms.Application.ApplicationExit, AddressOf ExitApp
    End Sub
    Private mConnectionString As String
    Public Property ConnectionString() As String
        Get
            If mConnectionString = "" Then
                mConnectionString = System.Configuration.ConfigurationManager.ConnectionStrings("AdventureWorksConnectionString").ConnectionString
            End If
            Return mConnectionString
        End Get
        Set(ByVal value As String)
            mConnectionString = value
        End Set
    End Property

    Public ReadOnly Property Connection() As SqlClient.SqlConnection
        Get
            If internalConnection Is Nothing Then
                internalConnection = New SqlClient.SqlConnection(connectionSTring)

            End If
            Return internalConnection
        End Get
    End Property
    Friend Sub Connect()
        Try
            With Me.Connection
                If .State <> ConnectionState.Open Then
                    .Open()
                    RaiseEvent ChangeComnnectionStatus(.State = ConnectionState.Open)
                End If
            End With
        Catch ex As Exception
            Throw
        End Try
    End Sub
    Friend Sub Disconnect()
        With Me.Connection
            If .State <> ConnectionState.Closed Then
                .Close()
                RaiseEvent ChangeComnnectionStatus(False)
            End If
        End With
    End Sub
    Friend Sub GenericError(ByVal sender As Object, ByVal e As System.Threading.ThreadExceptionEventArgs)
        MsgBox(e.Exception.Message)
    End Sub
    Friend Sub ExitApp(ByVal sender As Object, ByVal e As System.EventArgs)
        Disconnect()
    End Sub
End Class
