CREATE PROCEDURE [Production].[Product_ChangePrices]
   @Percent decimal,
   @ProductSubcategoryID int=null 
AS
BEGIN
   UPDATE [AdventureWorks].[Production].[Product]
      SET [ListPrice] = [ListPrice] * @Percent
    WHERE ([ProductSubcategoryID]=@ProductSubcategoryID)
      -- If the second argument is null the percent applies to all the products 
      OR (@ProductSubcategoryID IS NULL)
END
 